: Class RemoteResourceWrapperNode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class RemoteResourceWrapperNode

    java.lang.Object
      |
      +--org.w3c.jigadmin.editors.RemoteResourceWrapperNode

Direct Known Subclasses:
  RemoteFrameWrapperNode

public class RemoteResourceWrapperNode
extends java.lang.Object
implements javax.swing.tree.MutableTreeNode, RemoteNode

The TreeNode for Resources

Field Summary
`protected java.util.Vector` | `children`
`protected java.lang.String` | `name`
`protected RemoteResourceWrapperNode` | `parent`
`protected RemoteResourceWrapper` | `rrw`

Constructor Summary
`protected` | `RemoteResourceWrapperNode(RemoteResourceWrapperNode parent, RemoteResourceWrapper rrw, java.lang.String name)` Constructor
`protected` | `RemoteResourceWrapperNode(RemoteResourceWrapper rrw, java.lang.String name)` Constructor

Method Summary
`protected void` | `acquireChildren()` Load the children if needed.
`java.util.Enumeration` | `children()` Returns the children of the reciever as an Enumeration.
`boolean` | `getAllowsChildren()` Returns true if the receiver allows children.
`javax.swing.tree.TreeNode` | `getChildAt(int childIndex)` Returns the child TreeNode at index childIndex.
`int` | `getChildCount()` Returns the number of children TreeNodes the receiver contains.
`int` | `getIndex(javax.swing.tree.TreeNode node)` Returns the index of node in the receivers children.
`javax.swing.tree.TreeNode` | `getParent()` Returns the parent TreeNode of the receiver.
`RemoteResourceWrapper` | `getResourceWrapper()` Get the associated RemoteResourceWrapper.
`void` | `insert(javax.swing.tree.MutableTreeNode child, int index)` Adds child to the receiver at index.
`boolean` | `isLeaf()` Returns true if the receiver is a leaf.
`protected void` | `loadChildren()` Load the children of this node.
`void` | `nodeWillCollapse()` Invoked whenever this node is about to be collapsed.
`void` | `nodeWillExpand()` Invoked whenever this node is about to be expanded.
`void` | `remove(int index)` Removes the child at index from the receiver.
`void` | `remove(javax.swing.tree.MutableTreeNode node)` Removes node from the receiver.
`void` | `removeFromParent()` Removes the receiver from its parent.
`void` | `setParent(javax.swing.tree.MutableTreeNode newParent)` Sets the parent of the receiver to newParent.
`void` | `setUserObject(java.lang.Object object)` Resets the user object of the receiver to object.
`java.lang.String` | `toString()` Return the string reoresentation of this node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rrw

    protected RemoteResourceWrapper rrw

### parent

    protected RemoteResourceWrapperNode parent

### name

    protected java.lang.String name

### children

    protected java.util.Vector children

Constructor Detail

### RemoteResourceWrapperNode

    protected RemoteResourceWrapperNode(RemoteResourceWrapperNode parent,
                                        RemoteResourceWrapper rrw,
                                        java.lang.String name)

  Constructor
  Parameters:
    `parent` - The parent node
    `rrw` - The associated RemoteResourceWrapper
    `name` - The name of this node

### RemoteResourceWrapperNode

    protected RemoteResourceWrapperNode(RemoteResourceWrapper rrw,
                                        java.lang.String name)

  Constructor
  Parameters:
    `rrw` - The associated RemoteResourceWrapper
    `name` - The name of this node

Method Detail

### loadChildren

    protected void loadChildren()

  Load the children of this node.

### nodeWillExpand

    public void nodeWillExpand()

  Invoked whenever this node is about to be expanded.
  Specified by:
    nodeWillExpand in interface RemoteNode

### nodeWillCollapse

    public void nodeWillCollapse()

  Invoked whenever this node is about to be collapsed.
  Specified by:
    nodeWillCollapse in interface RemoteNode

### getResourceWrapper

    public RemoteResourceWrapper getResourceWrapper()

  Get the associated RemoteResourceWrapper.
  Returns:
    the associated RemoteResourceWrapper

### acquireChildren

    protected void acquireChildren()

  Load the children if needed.

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int childIndex)

  Returns the child TreeNode at index childIndex.
  Parameters:
    `childIndex` - the index of the child to return
  Returns:
    a TreeNode instance

### getChildCount

    public int getChildCount()

  Returns the number of children TreeNodes the receiver contains.
  Returns:
    the number of children TreeNodes the receiver contains

### getParent

    public javax.swing.tree.TreeNode getParent()

  Returns the parent TreeNode of the receiver.
  Returns:
    a TreeNode

### getIndex

    public int getIndex(javax.swing.tree.TreeNode node)

  Returns the index of node in the receivers children. If the receiver does not contain node, -1 will be returned.
  Returns:
    an int.

### getAllowsChildren

    public boolean getAllowsChildren()

  Returns true if the receiver allows children.
  Returns:
    an int.

### isLeaf

    public boolean isLeaf()

  Returns true if the receiver is a leaf.
  Returns:
    a boolean

### children

    public java.util.Enumeration children()

  Returns the children of the reciever as an Enumeration.
  Returns:
    an Enumeration

### insert

    public void insert(javax.swing.tree.MutableTreeNode child,
                       int index)

  Adds child to the receiver at index. child will be messaged with setParent.
  Specified by:
    insert in interface javax.swing.tree.MutableTreeNode
  Parameters:
    `child` - the child to add.
    `index` - the index of the new child.

### remove

    public void remove(int index)

  Removes the child at index from the receiver.
  Specified by:
    remove in interface javax.swing.tree.MutableTreeNode
  Parameters:
    `the` - index of the child to remove.

### remove

    public void remove(javax.swing.tree.MutableTreeNode node)

  Removes node from the receiver. setParent will be messaged on node
  Specified by:
    remove in interface javax.swing.tree.MutableTreeNode
  Parameters:
    `node` - the node to remove

### setUserObject

    public void setUserObject(java.lang.Object object)

  Resets the user object of the receiver to object.
  Specified by:
    setUserObject in interface javax.swing.tree.MutableTreeNode
  Parameters:
    `object` - the new user object, actually the new identifier.

### removeFromParent

    public void removeFromParent()

  Removes the receiver from its parent.
  Specified by:
    removeFromParent in interface javax.swing.tree.MutableTreeNode

### setParent

    public void setParent(javax.swing.tree.MutableTreeNode newParent)

  Sets the parent of the receiver to newParent.
  Specified by:
    setParent in interface javax.swing.tree.MutableTreeNode
  Parameters:
    `newParent` - the new parent.

### toString

    public java.lang.String toString()

  Return the string reoresentation of this node.
  Overrides:
    toString in class java.lang.Object
  Returns:
    its name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD